## clsync 0.4.1

=== freebsd/usr/ports/sysutils/clsync/Makefile ===
# Created by: Dmitry Yu Okunev dyokunev@ut.mephi.ru
# $FreeBSD: head/sysutils/clsync/Makefile 357592 2014-06-12 12:48:11Z feld $

PORTNAME=	clsync
DISTVERSION=	0.4
PORTREVISION=	1
DIST_SUBDIR=	${PORTNAME}-${PORTVERSION}-${GH_COMMIT}
CATEGORIES=	sysutils

MAINTAINER=	dyokunev@ut.mephi.ru
COMMENT=	Live file sync daemon based on inotify, written in GNU C

LICENSE=	GPLv3

LIB_DEPENDS=	libinotify.so:${PORTSDIR}/devel/libinotify \
		libexecinfo.so:${PORTSDIR}/devel/libexecinfo

GNU_CONFIGURE=	yes
USES=		gmake libtool pkgconfig
USE_GNOME=	glib20
USE_LDCONFIG=	yes

USE_RC_SUBR=	clsync

SUB_FILES=	pkg-message

USE_GITHUB=	yes
GH_ACCOUNT=	xaionaro
GH_PROJECT=	clsync
GH_COMMIT=	12ea62c
GH_TAGNAME=	${GH_COMMIT}

USE_AUTOTOOLS=	autoconf aclocal automake libtoolize

OPTIONS_DEFINE=	PARANOID VERYPARANOID SOCKET DEBUG LIBCLSYNC
OPTIONS_DEFAULT=PARANOID

PARANOID_DESC=	Paranoid secure routines
VERYPARANOID_DESC=Extra paranoid secure routines, less features
SOCKET_DESC=	Control socket support
LIBCLSYNC_DESC=	Build libclsync.so for control socket clients

OPTIONS_MULTI=	MONITOR
OPTIONS_MULTI_MONITOR=	BSM KQUEUE LIBINOTIFY GIO
KQUEUE_DESC=	"Kqueue" monitor support
BSM_DESC=	"BSM" monitor support
LIBINOTIFY_DESC="Inotify" monitor support (via libinotify-kqueue)
GIO_DESC=	"GIO" monitor support
OPTIONS_DEFAULT+=KQUEUE BSM

LIBS+=          -L${LOCALBASE}/lib
CPPFLAGS+=      -I${LOCALBASE}/include

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--bindir=${PREFIX}/sbin

.if ${PORT_OPTIONS:MBSM}
CONFIGURE_ARGS+=	--with-bsm=lib
.endif

.if ${PORT_OPTIONS:MKQUEUE}
CONFIGURE_ARGS+=	--with-kqueue=native
.endif

.if ${PORT_OPTIONS:MLIBINOTIFY}
CONFIGURE_ARGS+=	--with-inotify=lib
.endif

.if ${PORT_OPTIONS:MGIO}
CONFIGURE_ARGS+=	--with-gio=check
.endif

.if ${PORT_OPTIONS:MVERYPARANOID}
CONFIGURE_ARGS+=	--enable-paranoid=2
.else
.if ${PORT_OPTIONS:MPARANOID}
CONFIGURE_ARGS+=	--enable-paranoid=1
.else
CONFIGURE_ARGS+=	--enable-paranoid=0
.endif
.endif

.if ${PORT_OPTIONS:MSOCKET}
CONFIGURE_ARGS+=	--enable-socket
PLIST_FILES+=		include/clsync/socket.h
.endif

.if ${PORT_OPTIONS:MDEBUG}
CONFIGURE_ARGS+=	--enable-debug
.endif

.if ${PORT_OPTIONS:MLIBCLSYNC}
CONFIGURE_ARGS+=	--enable-socket-library
PLIST_FILES+=		include/libclsync/clsync.h \
			include/libclsync/ctx.h \
			include/libclsync/libclsync.h \
			include/libclsync/malloc.h \
			include/libclsync/socket.h \
			lib/libclsync.a \
			lib/libclsync.so \
			lib/libclsync.so.0 \
			lib/libclsync.so.0.0.0 \
			lib/pkgconfig/libclsync.pc
PLIST_DIRS+=		include/libclsync \
			lib/pkgconfig

.endif

.include <bsd.port.pre.mk>

pre-configure:
	cd "${WRKSRC}" && ${AUTORECONF} -fi

post-stage:
	${MKDIR} ${STAGEDIR}/${ETCDIR}
	${INSTALL_DATA} ${WRKSRC}/freebsd/usr/local/etc/clsync/${PORTNAME}.conf ${STAGEDIR}/${ETCDIR}/${PORTNAME}.conf.sample

.include <bsd.port.post.mk>

## clsync 0.2.1

=== debian/changelog ===
clsync (0.2.1-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 24 Oct 2013 17:14:15 +0100

clsync (0.1-2) unstable; urgency=low

  * Tweak debian/watch to ignore debian releases

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Oct 2013 10:45:20 +0100

clsync (0.1-1) unstable; urgency=low

  * Initial release (Closes: #718769 )

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Sep 2013 12:16:00 +0100

=== debian/control ===
Source: clsync
Section: admin
Priority: optional
Maintainer: Artyom A Anikeev <anikeev@ut.mephi.ru>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.0.0),
	       dh-autoreconf, libmhash-dev
Standards-Version: 3.9.4
Homepage: http://ut.mephi.ru/oss
Vcs-Git: git://anonscm.debian.org/collab-maint/clsync.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/clsync.git

Package: clsync
Recommends: rsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: live sync tool based on inotify, written in GNU C
 Clsync recursively watches for source directory and executes external
 program to sync the changes. Clsync is adapted to use together with rsync.
 This utility is much more lightweight than competitors and supports such
 features as separate queue for big files, regex file filter,
 multi-threading.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_install:
	dh_auto_install
	-rm --verbose debian/clsync/usr/share/doc/clsync/LICENSE

=== debian/watch ===
version=3

http://githubredir.debian.net/github/xaionaro/clsync/ v(.+).tar.gz

## clsync 0.3

=== debian/changelog ===
clsync (0.3-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * Added support of control socket

  [ Barak A. Pearlmutter ]
  * New upstream version
  * Bump standards version
  * Remove -*- makefile -*- in debian/rules: defaults to GNUmakefile-mode
  * Must generate library: ./configure --enable-socket
  * Fold clsync-dev into libclsync-dev
  * Address lintian issues
    - Add appropriate per-binary-package sections
    - Remove extra LICENSE file
    - Rename lib package w/ .so suffix "0"
    - Expand and diversify package descriptions.
  * Add dependency of lib-dev package upon lib package
  * Print list of debian/tmp files not installed into any binary package
  * Install some stray uninstalled files
    - the actual clsync executable (!)
    - its man page
    - some *.h header files
  * Fold small (14k) clsync-doc package into clsync

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 06 Jun 2014 09:44:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Artyom A Anikeev <anikeev@ut.mephi.ru>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.0.0),
-	       dh-autoreconf, libmhash-dev
-Standards-Version: 3.9.4
+	       dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://ut.mephi.ru/oss
 Vcs-Git: git://anonscm.debian.org/collab-maint/clsync.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/clsync.git
@@ -20,3 +20,28 @@
  This utility is much more lightweight than competitors and supports such
  features as separate queue for big files, regex file filter,
  multi-threading.
+
+Package: libclsync0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: clsync control socket library
+ Clsync recursively watches for source directory and executes external
+ program to sync the changes. Clsync is adapted to use together with rsync.
+ This utility is much more lightweight than competitors and supports such
+ features as separate queue for big files, regex file filter,
+ multi-threading.
+ .
+ This package contains a shared library to control clsync via socket.
+
+Package: libclsync-dev
+Section: libdevel
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libclsync0 (= ${binary:Version})
+Description: development files for libclsync
+ Clsync recursively watches for source directory and executes external
+ program to sync the changes. Clsync is adapted to use together with rsync.
+ This utility is much more lightweight than competitors and supports such
+ features as separate queue for big files, regex file filter,
+ multi-threading.
+ .
+ This package contains development files for controlling clsync via socket.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-socket=yes

override_dh_auto_install:
	dh_auto_install
	-rm --verbose debian/tmp/usr/share/doc/clsync/LICENSE

override_dh_install:
	dh_install --list-missing

## clsync 0.4

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.0.0),
 	       dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ut.mephi.ru/oss
 Vcs-Git: git://anonscm.debian.org/collab-maint/clsync.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/clsync.git
@@ -23,6 +23,7 @@
 
 Package: libclsync0
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: clsync control socket library
  Clsync recursively watches for source directory and executes external

## clsync 0.4.1

=== debian/changelog ===
clsync (0.4.1-1) unstable; urgency=medium

  * New upstream release with a lot of fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 08:53:54 +0100

clsync (0.4-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * A lot of fixes

  [ Barak A. Pearlmutter ]
  * Merge upstream, in particular debian/ tweaks
  * don't install compile-time stuff that shouldn't be
  * bump debian standards version, no changes necessary
  * update debian/watch file, mangle upstream -rc
  * update .gitignore
  * correct some spelling errors
  * man dash hyphen slash patch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 May 2015 10:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Artyom A Anikeev <anikeev@ut.mephi.ru>
-Uploaders: Barak A. Pearlmutter <bap@debian.org>
+Uploaders: Barak A. Pearlmutter <bap@debian.org>, Dmitry Yu Okunev <dyokunev@ut.mephi.ru>
 Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.0.0),
 	       dh-autoreconf
 Standards-Version: 3.9.6

## clsync 0.4.2

=== debian/changelog ===
clsync (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version
  * Harden
  * Fix some typos

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Oct 2016 11:31:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Artyom A Anikeev <anikeev@ut.mephi.ru>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>, Dmitry Yu Okunev <dyokunev@ut.mephi.ru>
 Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.0.0),
-	       dh-autoreconf
-Standards-Version: 3.9.6
-Homepage: http://ut.mephi.ru/oss
+	       dh-autoreconf, libcgroup-dev, libcap-dev
+Standards-Version: 3.9.8
+Homepage: https://ut.mephi.ru/oss
 Vcs-Git: git://anonscm.debian.org/collab-maint/clsync.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/clsync.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/clsync.git
 
 Package: clsync
 Recommends: rsync

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-socket --enable-socket-library --enable-highload-locks

override_dh_auto_install:
	dh_auto_install
	sed -i "/dependency_libs/ s/'.*'/''/" $$(find debian/tmp -name '*.la')
	-rm --verbose debian/tmp/usr/share/doc/clsync/LICENSE
	-rm --verbose debian/tmp/usr/bin/gencompilerflags
	-rm --verbose debian/tmp/usr/include/clsync/compilerflags.h

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
  https://github.com/xaionaro/clsync/tags (?:.*/)?v(.+)\.tar\.gz

## clsync 0.4.3

=== examples/production/etc/clsync/synchandler/hpc/Makefile ===
CC = gcc
CFLAGS = -march=native -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -ftree-loop-linear -ftree-loop-im -fweb -frename-registers -fomit-frame-pointer -fexcess-precision=fast -pipe
CFLAGS += --std=gnu11 -Wall -fPIC -shared
LDFLAGS = -Wl,-O1,--as-needed

HANDLERS = handler-pdcp.so handler-backup.so

all: $(HANDLERS)

%.so: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@
	strip --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version $@

clean:
	rm $(HANDLERS)

=== debian/changelog ===
clsync (0.4.3-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * Fixed mode "simple": use absolute paths
  * Better error reporting on bad arguments/configuration.
  * Disabled "seccomp" features to make the package buildable
    on non-x86 platforms (closes: #844778)
  * Updated the manpage

  [ Barak A. Pearlmutter ]
  * New Upstream Version
  * Bump policy version
  * Bump to debhelper 12
  * Update uscan debian/watch file
  * add git-buildpackage configuration file
  * dependency per lintian tag skip-systemd-native-flag-missing-pre-depends
  * move library package to section: libs

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 May 2019 12:37:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Artyom A Anikeev <anikeev@ut.mephi.ru>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>, Dmitry Yu Okunev <dyokunev@ut.mephi.ru>
-Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.0.0),
-	       dh-autoreconf, libcgroup-dev, libcap-dev
-Standards-Version: 3.9.8
-Homepage: https://ut.mephi.ru/oss
-Vcs-Git: git://anonscm.debian.org/collab-maint/clsync.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/clsync.git
+Build-Depends: debhelper-compat (= 12),
+	       libglib2.0-dev (>= 2.0.0),
+	       libcgroup-dev, libcap-dev
+Standards-Version: 4.3.0
+Homepage: http://ut.mephi.ru/oss
+Vcs-Git: https://salsa.debian.org/debian/clsync.git
+Vcs-Browser: https://salsa.debian.org/debian/clsync
 
 Package: clsync
 Recommends: rsync
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
 Description: live sync tool based on inotify, written in GNU C
  Clsync recursively watches for source directory and executes external
  program to sync the changes. Clsync is adapted to use together with rsync.
@@ -22,6 +24,7 @@
  multi-threading.
 
 Package: libclsync0
+Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -37,6 +40,7 @@
 Package: libclsync-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libclsync0 (= ${binary:Version})
 Description: development files for libclsync
  Clsync recursively watches for source directory and executes external

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-socket --enable-socket-library --enable-highload-locks --disable-seccomp

override_dh_auto_install:
	dh_auto_install
	sed -i "/dependency_libs/ s/'.*'/''/" $$(find debian/tmp -name '*.la')
	-rm --verbose debian/tmp/usr/share/doc/clsync/LICENSE
	-rm --verbose debian/tmp/usr/bin/gencompilerflags
	-rm --verbose debian/tmp/usr/include/clsync/compilerflags.h

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
  https://github.com/xaionaro/@PACKAGE@/tags (?:.*/)?v@ANY_VERSION@@ARCHIVE_EXT@

## clsync 0.4.5

=== debian/changelog ===
clsync (0.4.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096443)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 21:55:06 +0300

clsync (0.4.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062079

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:05:23 +0000

clsync (0.4.5-2) unstable; urgency=medium

  [ Dmitrii Okunev ]
  * Remove dependency on libcgroup-dev which is no longer functional
    - a stub using libcgroup2 might be usable, once it spins up
    - See bugs.debian.org/959022 for details

  [ Barak A. Pearlmutter ]
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Mar 2021 10:26:01 +0000

clsync (0.4.5-1) unstable; urgency=medium

  [ Andrew Savchenko]
  * New upstream relese
  * Added --sync-on-quit support
  * Added $TMPDIR support
  * Multiple bug fixes

  [Dmitrii Okunev]
  * Added systemd unit-file

  [ Barak A. Pearlmutter ]
  * Depend on newer debhelper (>= 9.20160709) rather than dh-systemd.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Merge upstream fix for symbols pthread_mutex_init_shared
    pthread_mutex_reltimedlock pthread_mutex_destroy_shared in
    libclsync.so.0.0.0 not found in any libraries.
  * Bump to debhelper 13.
  * Address lintian complaint about init.d file
  * Git ignore some debris
  * Tell dh_missing not to worry about the *.la file

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Nov 2020 16:35:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Artyom A Anikeev <anikeev@ut.mephi.ru>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>, Dmitry Yu Okunev <dyokunev@ut.mephi.ru>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 	       libglib2.0-dev (>= 2.0.0),
-	       libcgroup-dev, libcap-dev
-Standards-Version: 4.3.0
+	       libcap-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://ut.mephi.ru/oss
 Vcs-Git: https://salsa.debian.org/debian/clsync.git
 Vcs-Browser: https://salsa.debian.org/debian/clsync
@@ -23,9 +24,13 @@
  features as separate queue for big files, regex file filter,
  multi-threading.
 
-Package: libclsync0
+Package: libclsync0t64
+Provides: ${t64:Provides}
+Replaces: libclsync0
+Breaks: libclsync0 (<< ${source:Version})
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: clsync control socket library
@@ -40,8 +45,9 @@
 Package: libclsync-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libclsync0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libclsync0t64 (= ${binary:Version})
 Description: development files for libclsync
  Clsync recursively watches for source directory and executes external
  program to sync the changes. Clsync is adapted to use together with rsync.

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
  https://github.com/@PACKAGE@/@PACKAGE@/tags (?:.*/)?v@ANY_VERSION@@ARCHIVE_EXT@
